*{
    box-sizing: border-box;
    padding: 20px;
    border-radius: 5px;
    text-align: center;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    margin-top: 5px;
}

img{
  max-width: 100%;
  height: auto;
}

body{
    background-color: navy;
    padding: 0;
}

.container{
    display: grid;
    column-gap: 5px;
    background-color: lightcyan;
    padding: 0;
    border: 3px black solid;
    border-top-right-radius: 0;
    border-top-left-radius: 0;
}

.logo{
    background-position: center center;
    border-radius: 0;
    background-repeat: no-repeat;
    background-image: url(/web2/img/respgrid/logo-small.jpg);
    line-height: 0;
    margin: 0;
}

.burger{
    text-align: right;    
    padding: 0;
}

.burger i{
    background-color: aliceblue;
    padding: 5px;
    margin: 0;
}

.news, .review, .blogg {
    display: grid;
    place-items: center;
}

.commercial{
    padding: 0;
    margin: 0;
    line-height: 0;
}

picture{
    padding: 0;
}

.commercial img {
  padding: 0;
  border-radius: 0;
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
}

.menu{
    display: none;
    background-color: aqua;
}

.menu a{
    margin: auto;
    color: white;
    text-decoration: none;
    width: 80%;
    background-color: lightblue;
    border: 1px black solid;
    padding: 30px;
}

.news{
    background-color:aquamarine;
}

.review{
    background-color: aqua;
}

.blogg{
    background-color: greenyellow;
}

@media only screen and (min-width: 550px){
    .burger{ display: none;}

    .menu{
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    .menu, .logo, .commercial{
        grid-column: 1 / 3;
    }

    .container {
        grid-template-columns: repeat(2, 1fr);
    }

    .logo{
        background-image: url(/web2/img/respgrid/logo-medium.jpg);
        padding: 40px;
    }

}

@media only screen and (min-width: 810px){
    .container{
        grid-template-columns: repeat(3, 1fr);
    }

    .logo{
        grid-column: 1 / -1;
        background-image: url(/web2/img/respgrid/logo-big.jpg);
    }

    .menu{
        grid-column: 1 / 3;
    }
    .commercial{
        grid-column: 3 / 4;
        grid-row: 2 / span 4;
    }
}

@media only screen and (min-width: 1080px){
    .container{
        grid-template-columns: repeat(4, 1fr);
    }

    #n1{
        grid-column: 1 / 2;
    }

    #n2{
        grid-column: 1 / 2;
        grid-row: 3/4;
    }

    #r2{
        grid-row: 3/4;
    }
    

    .logo{
        grid-column: 1 / -1;
        background-image: url(/web2/img/respgrid/logo-big.jpg);
    }

    .menu{
        display: none;
    }
    .commercial{
        grid-column: 4 / 5;
        grid-row: 2 / 4;
    }
}